org.eclipse.jetty.jndi

## Class NamingUtil

- java.lang.Object
- - org.eclipse.jetty.jndi.NamingUtil

    public class NamingUtil
    extends Object

Util.java Created: Tue Jul 1 18:26:17 2003

Version:
  1.0

### Field Summary

Fields
`static Logger` `__log`

### Constructor Summary

Constructors
Constructor and Description
`NamingUtil()`

### Method Summary

Methods
`static Context` `bind(Context ctx, String nameStr, Object obj)` Bind an object to a context ensuring all sub-contexts are created if necessary
`static Map` `flattenBindings(Context ctx, String name)` Do a deep listing of the bindings for a context.
`static void` `unbind(Context ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __log

    public static final Logger __log

### Constructor Detail

#### NamingUtil

    public NamingUtil()

### Method Detail

#### bind

    public static Context bind(Context ctx,
               String nameStr,
               Object obj)
                        throws NamingException

Bind an object to a context ensuring all sub-contexts are created if necessary

Parameters:
  `ctx` - the context into which to bind
  `nameStr` - the name relative to context to bind
  `obj` - the object to be bound
Throws:
  `NamingException` - if an error occurs

#### unbind

    public static void unbind(Context ctx)
                       throws NamingException

Throws:
  `NamingException`

#### flattenBindings

    public static Map flattenBindings(Context ctx,
                      String name)
                               throws NamingException

Do a deep listing of the bindings for a context.

Parameters:
  `ctx` - the context containing the name for which to list the bindings
  `name` - the name in the context to list
Returns:
  map: key is fully qualified name, value is the bound object
Throws:
  `NamingException`